Bug 2492 - rpc_server/srv_samr_util.c, Line = 267: "const char *" incompatible with "const unsigned char *"
rpc_server/srv_samr_util.c, Line = 267: "const char *" incompatible with "con...
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: libsmbclient
3.0.11
All All
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-18 18:55 UTC by Jason Mader
Modified: 2005-08-24 10:16 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Mader 2005-03-18 18:55:29 UTC
Compiling rpc_server/srv_samr_util.c
cc-1164 cc: WARNING File = rpc_server/srv_samr_util.c, Line = 267
  Argument of type "const char *" is incompatible with parameter of type
          "const unsigned char *".

                pdb_sethexhours(new, (const char *)from->logon_hrs.hours);
                                     ^
Comment 1 Jason Mader 2005-03-18 18:58:36 UTC
Type cast can be removed.
Comment 2 Gerald (Jerry) Carter 2005-03-22 08:55:01 UTC
apparently this one has already been fixed.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:16:16 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.